From 52021a61ffa20d7a2d3b79ed5caa18805cb027cf Mon Sep 17 00:00:00 2001
From: Milan Crha <mcrha@redhat.com>
Date: Tue, 19 Nov 2024 11:15:12 +0100
Subject: [PATCH] I#574 - Fails to build/link against icu 76.1

Closes https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/574
---
 CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 64ce2e206..92ef05f76 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -376,13 +376,13 @@ endif(WIN32)
 # ICU started shipping pkg-config files but it's not present
 # on many systems, if we don't find the pkg-config
 # file then let's fallback on a manual check
-pkg_check_modules(ICU icu-i18n)
+pkg_check_modules(ICU icu-i18n icu-uc)
 
 if(NOT ICU_FOUND)
 	CHECK_INCLUDE_FILE(unicode/ucol.h HAVE_UNICODE_UCOL_H)
 	if(NOT HAVE_UNICODE_UCOL_H)
 		message(FATAL_ERROR "ICU unicode/ucol.h not found; icu-i18n is required")
-	endif(HAVE_UNICODE_UCOL_H)
+	endif(NOT HAVE_UNICODE_UCOL_H)
 
 	set(CMAKE_REQUIRED_LIBRARIES "-licui18n -licuuc -licudata")
 	CHECK_C_SOURCE_COMPILES("#include <unicode/ucol.h>
@@ -393,7 +393,7 @@ if(NOT ICU_FOUND)
 		set(ICU_CFLAGS -D_REENTRANT)
 		set(ICU_LIBS "-licui18n -licuuc -licudata")
 	else(HAVE_UCOL_OPEN)
-		message(FATAL_ERROR "Failed to find icu-i18n, install its development files or build them first")
+		message(FATAL_ERROR "Failed to find icui18n, icuuc and icudata, install its development files or build them first")
 	endif(HAVE_UCOL_OPEN)
 endif(NOT ICU_FOUND)
 
-- 
GitLab

